openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/SKWF_GET_OBERRMSG:
    post:
      tags:
      - SKWF_UTIL
      operationId: /rfc/SKWF_GET_OBERRMSG
      requestBody:
        content:
          application/json:
            schema:
              properties:
                ERRORS:
                  type: array
                  items:
                    type: object
                    properties:
                      CLASS:
                        type: string
                        maxLength: 10
                        description: Document class
                      OBJID:
                        type: string
                        maxLength: 32
                        description: ID for documents and relations
                      ID:
                        type: string
                        maxLength: 20
                        description: Message Class
                      TYPE:
                        type: string
                        maxLength: 1
                        description: Message Type
                      'NO':
                        type: integer
                        format: int64
                        description: Message Number
                      V1:
                        type: string
                        maxLength: 50
                        description: Message Variable
                      V2:
                        type: string
                        maxLength: 50
                        description: Message Variable
                      V3:
                        type: string
                        maxLength: 50
                        description: Message Variable
                      V4:
                        type: string
                        maxLength: 50
                        description: Message Variable
                MESSAGES:
                  type: array
                  items:
                    type: object
                    properties:
                      MESSAGE:
                        type: string
                        maxLength: 255
                        description: Message
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  ERRORS:
                    type: array
                    items:
                      type: object
                      properties:
                        CLASS:
                          type: string
                          maxLength: 10
                          description: Document class
                        OBJID:
                          type: string
                          maxLength: 32
                          description: ID for documents and relations
                        ID:
                          type: string
                          maxLength: 20
                          description: Message Class
                        TYPE:
                          type: string
                          maxLength: 1
                          description: Message Type
                        'NO':
                          type: integer
                          format: int64
                          description: Message Number
                        V1:
                          type: string
                          maxLength: 50
                          description: Message Variable
                        V2:
                          type: string
                          maxLength: 50
                          description: Message Variable
                        V3:
                          type: string
                          maxLength: 50
                          description: Message Variable
                        V4:
                          type: string
                          maxLength: 50
                          description: Message Variable
                  MESSAGES:
                    type: array
                    items:
                      type: object
                      properties:
                        MESSAGE:
                          type: string
                          maxLength: 255
                          description: Message
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
